For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • POSTCreate a new workflow revision
      • GETList all workflows
      • POSTCreate a new workflow
      • GETGet a workflow by ID
      • PUTUpdate a workflow
      • DELDelete a workflow
      • STREAMExecute a workflow.
      • POSTExecute a workflow with provided config.
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflows

Get a workflow by ID

Beta
GET
https://api.scoutos.com/v2/workflows/:workflow_id
GET
/v2/workflows/:workflow_id
$curl https://api.scoutos.com/v2/workflows/workflow_id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "workflow_config": {
4 "workflow_display_name": "Customer Onboarding Flow",
5 "workflow_schema_version": "1.0",
6 "workflow_img_url": "https://cdn.scoutos.com/workflows/onboarding-flow.png",
7 "workflow_description": "This workflow automates the customer onboarding process including welcome emails and account setup.",
8 "blocks": [
9 {
10 "block_archetype_id": "email_sender_v2",
11 "block_display_name": "Welcome Email Sender",
12 "block_id": "block_001",
13 "block_inputs": {
14 "recipient_email": "newuser@example.com",
15 "email_template": "welcome_template_v3"
16 },
17 "is_output": false,
18 "dependencies": [
19 {
20 "block_id": "block_000",
21 "ui": {
22 "edge_type": "plusSign"
23 }
24 }
25 ],
26 "input_schema": {
27 "recipient_email": "string",
28 "email_template": "string"
29 },
30 "ui": {
31 "dimensions": {
32 "width": 240,
33 "height": 120
34 },
35 "position": {
36 "x": 100,
37 "y": 200
38 }
39 },
40 "trigger_config": {},
41 "ignore_error": false,
42 "block_config": [
43 {
44 "id": "send_welcome_email",
45 "display_name": "Send Welcome Email",
46 "type": "boolean",
47 "default_value": true,
48 "value": true
49 }
50 ],
51 "output_schema": [
52 null
53 ]
54 }
55 ],
56 "notes": [
57 {
58 "id": "note_001",
59 "bgColor": "#FFF9C4",
60 "content": "Ensure email templates are updated quarterly.",
61 "author": "Jane Doe",
62 "ui": {
63 "dimensions": {
64 "width": 300,
65 "height": 150
66 },
67 "position": {
68 "x": 400,
69 "y": 100
70 }
71 }
72 }
73 ],
74 "placeholders": [
75 {
76 "block_id": "block_002",
77 "type": "triggerPlaceholder",
78 "ui": {
79 "dimensions": {
80 "width": 100,
81 "height": 100
82 },
83 "position": {
84 "x": 50,
85 "y": 50
86 }
87 },
88 "dependencies": [
89 {
90 "block_id": "block_001",
91 "ui": {
92 "edge_type": "plusSign"
93 }
94 }
95 ]
96 }
97 ],
98 "tags": [
99 "onboarding",
100 "email",
101 "automation"
102 ],
103 "is_tool": false
104 },
105 "last_updated_at": "2024-01-15T09:30:00Z",
106 "created_at": "2023-12-01T08:00:00Z",
107 "created_by": {
108 "type": "user",
109 "details": {
110 "user_id": "user_12345",
111 "org_id": "org_67890",
112 "scout_organization_id": "scout_org_001",
113 "email": {
114 "work": "jane.doe@scoutos.com"
115 }
116 }
117 },
118 "last_updated_by": {
119 "type": "user",
120 "details": {
121 "user_id": "user_12345",
122 "org_id": "org_67890",
123 "scout_organization_id": "scout_org_001",
124 "email": {
125 "work": "jane.doe@scoutos.com"
126 }
127 }
128 },
129 "revision_id": "rev_20240115_0930",
130 "workflow_id": "workflow_abc123",
131 "workflow_key": "customer_onboarding_2024",
132 "is_draft": false
133 }
134}
Fetch app configuration by ID.
Was this page helpful?
Previous

Update a workflow

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired

Response

Successful Response
dataobject

Errors

422
Unprocessable Entity Error